APICRMCompaniesCreate Company
Create Company
Create a CRM company. name is required. type defaults to prospect. The owner is set to the user who owns the API key. If primaryContactId points at a contact with no company yet, that contact is linked to the new company (linkedContactsCount). Responds 201.
Created: September 16, 2026
Updated: September 16, 2026
Overview
POST
https://dashboard.vinsi.ai/api/crm/companies
Request
Headers
Content-Typestring
x-api-keystring
Request Body
{14 items
"name":string"Acme Dental"
"industry":string"Healthcare"
"website":string"https://acme-dental.example.co..."
"phone":string"+15555550100"
"ext":string""
"email":string"info@acme-dental.example.com"
"address":string"100 Main St"
"city":string"San Diego"
"state":string"CA"
"zip":string"92101"
"country":string"US"
"type":string"prospect"
"notes":string""
"primaryContactId":int1042
}
Response
{23 items
"id":int318
"organizationId":string"cmexampleorg00000000000001"
"name":string"Acme Dental"
"industry":string"Healthcare"
"website":string"https://acme-dental.example.co..."
"phone":string"+15555550100"
"ext":string""
"email":string"info@acme-dental.example.com"
"address":string"100 Main St"
"city":string"San Diego"
"state":string"CA"
"zip":string"92101"
"country":string"US"
"type":string"prospect"
"notes":null
"ownerId":string"cmexampleuser0000000000001"
"createdAt":string"2026-09-01T18:30:00.000Z"
"updatedAt":string"2026-09-01T18:30:00.000Z"
"primaryContactId":int1042
"reviewRating":string""
"reviewCount":string""
"logoUrl":null
"linkedContactsCount":int1
}
Endpoint Explorer
Note: You must be already authenticated on https://dashboard.vinsi.ai/ to use this API tester.
POST
Headers
Content-Type: *
x-api-key: *
Response
No response yet. Click Send to test the API.